Bug 19916 - Can't search keyword or standard ID from Acquisitions external source / z3950
Summary: Can't search keyword or standard ID from Acquisitions external source / z3950
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-04 15:31 UTC by Nick Clemens
Modified: 2018-06-07 08:20 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19916 - Add keyword and standard ID fields to acq external search (3.18 KB, patch)
2018-01-04 15:33 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19916 - Add keyword and standard ID fields to acq external search (3.23 KB, patch)
2018-03-16 19:37 UTC, Maksim Sen
Details | Diff | Splinter Review
Bug 19916 - Add keyword and standard ID fields to acq external search (3.30 KB, patch)
2018-03-28 05:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19916: Add keyword and standard ID fields to acq external search (3.29 KB, patch)
2018-03-28 05:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-01-04 15:31:49 UTC

    
Comment 1 Nick Clemens 2018-01-04 15:33:56 UTC
Created attachment 70276 [details] [review]
Bug 19916 - Add keyword and standard ID fields to acq external search

To test:
1 - Add an order from external source
2 - Note you don't have keyword or standard ID fields
3 - Add a catalog record from Z3950, note those fields are there
4 - Apply patch
5 - Check acq and note you do have those fields
6 - Do some searches to verify they work as expected
Comment 2 Maksim Sen 2018-03-16 19:37:49 UTC
Created attachment 73062 [details] [review]
Bug 19916 - Add keyword and standard ID fields to acq external search

To test:
1 - Add an order from external source
2 - Note you don't have keyword or standard ID fields
3 - Add a catalog record from Z3950, note those fields are there
4 - Apply patch
5 - Check acq and note you do have those fields
6 - Do some searches to verify they work as expected

Signed-off-by: Maksim Sen <maksim.sen@inlibro.com>
Comment 3 Katrin Fischer 2018-03-28 05:51:09 UTC
Created attachment 73368 [details] [review]
Bug 19916 - Add keyword and standard ID fields to acq external search

To test:
1 - Add an order from external source
2 - Note you don't have keyword or standard ID fields
3 - Add a catalog record from Z3950, note those fields are there
4 - Apply patch
5 - Check acq and note you do have those fields
6 - Do some searches to verify they work as expected

Signed-off-by: Maksim Sen <maksim.sen@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2018-03-28 05:56:28 UTC
Created attachment 73369 [details] [review]
Bug 19916: Add keyword and standard ID fields to acq external search

To test:
1 - Add an order from external source
2 - Note you don't have keyword or standard ID fields
3 - Add a catalog record from Z3950, note those fields are there
4 - Apply patch
5 - Check acq and note you do have those fields
6 - Do some searches to verify they work as expected

Signed-off-by: Maksim Sen <maksim.sen@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-03-29 15:03:12 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-05-14 21:25:06 UTC
Pushed to stable for 17.11.06

Awesome work all!
Comment 7 Fridolin SOMERS 2018-06-07 08:20:39 UTC
I choose not to backport to 17.05.x, to focus on major and +